#include <stdio.h>

int Palindromo(char *palabra);

int main()
{
   char palabra[10];
   puts("Ingrese Palabra:");
   gets(palabra);

   if(Palindromo(palabra)==1)
      puts("La palabra es un palindromo.\n");
   else
      puts("La palabra no es un palindromo.\n");

   system("pause");

}

int Palindromo(char *palabra)
{
    int i, j, len;

    len=0;
    i=0;
    while(palabra[i])
    {
        len++;
        i++;
    }
    i=0;
    j=len-1;
    while(i<len)
    {
        if(palabra[i]!=palabra[j])
            return 0;

        i++;
        j--;
    }
    return 1;
}

